Skip to main content
GET
/
v1
/
businesses
/
{businessId}
/
sms
Fetch SMS configuration
curl --request GET \
  --url https://sandbox.layerfi.com/v1/businesses/{businessId}/sms \
  --header 'Authorization: Bearer <token>'
{
  "sms_enabled": true,
  "sms_stopped": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.layerfi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json.

Path Parameters

businessId
string
required

The UUID of the business to fetch the SMS settings for.

Response

200 - application/json

The SMS configuration status for a business.

sms_enabled
boolean

Whether SMS is enabled for this business.

sms_stopped
boolean

Whether this business has responded to Layer's SMS with "STOP".